MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025214Community[OCCT] OCCT:Modeling Algorithmspublic2014-09-04 02:352016-12-09 16:38
Reportershoogen 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformLinuxOSDebian 6.0OS Version64 bit
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0025214: HLR fails to project edges
DescriptionThe HLR algorithm stops with a Standard_OutOfRange Exception, when used on edges or on shapes that don't have faces (vertexes, wires)
There are reports that this worked in the past <6.7.0.
Steps To ReproduceHandle( HLRBRep_Algo ) brep_hlr = new HLRBRep_Algo;
brep_hlr->Add(Input);
gp_Ax2 transform(gp_Pnt(0,0,0),gp_Dir(Direction.x,Direction.y,Direction.z));
HLRAlgo_Projector projector( transform );
brep_hlr->Projector(projector);
brep_hlr->Update();
brep_hlr->Hide();

The "Input" shape was a line (edge) from 0,0,0 to 1,0,0. The Direction was 0,0,-1
Additional information
and documentation updates
http://www.freecadweb.org/tracker/view.php?id=1697 [^]
TagsNo tags attached.
Test case numberbugs modalg_6 bug25214
Attached Files? file icon hlr-line1.tcl (223 bytes) 2015-04-09 19:52

- Relationships

-  Notes
(0031353)
shoogen (reporter)
2014-09-04 13:46

#6 0x00007f48e2058028 in HLRBRep_Data::Update (this=0x2538130, P=...)
    at occt/src/HLRBRep/HLRBRep_Data.cxx:636
636 fd = &(myFData.ChangeValue(1));
(gdb) p myFData
$9 = {myLowerBound = 0, myUpperBound = 0, myStart = 0x4ef2298, isAllocated = 1}
(0059060)
git (administrator)
2016-10-25 11:54

Branch CR25214 has been created by msv.

SHA-1: 64f50db5ba705f3de242dd1ea4c84487b1a1736f


Detailed log of new commits:

Author: msv
Date: Tue Oct 25 11:54:34 2016 +0300

    0025214: HLR fails to project edges
    
    Avoid getting non-existing array items. Use reference to array items instead of pointers where it is possible.
    Create test case. Before the fix this test raised exception in debug mode.
(0059062)
msv (developer)
2016-10-25 11:59

Dear Julia, please review the fix.
(0059091)
jgv (developer)
2016-10-25 15:04

Ok.
(0059215)
mkv (tester)
2016-10-26 20:56

Dear BugMaster,
Branch CR25214 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 64f50db5ba705f3de242dd1ea4c84487b1a1736f

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 63 (63 on master)
Windows: 0 (0 on master)
MacOS : 1122

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR25214-master-OCCT/Debian70-64/bugs/modalg_6/bug25214.html [^]
http://occt-tests/CR25214-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug25214.html [^]
bugs modalg_6 bug25214: OK

Testing on Linux:
occt component :
Total MEMORY difference: 90563016 / 90345060 [+0.24%]
Total CPU difference: 19228.72999999978 / 19232.579999999845 [-0.02%]
products component :
Total MEMORY difference: 30112020 / 30089650 [+0.07%]
Total CPU difference: 5278.899999999971 / 5340.149999999966 [-1.15%]

Testing on Windows:
occt component :
Total MEMORY difference: 57212398 / 57220230 [-0.01%]
Total CPU difference: 18472.484012598594 / 18211.026336598778 [+1.44%]
products component :
Total MEMORY difference: 21307596 / 21272088 [+0.17%]
Total CPU difference: 5094.041053899957 / 5194.536898099958 [-1.93%]

There are no differences in images found by testdiff.
(0059216)
mkv (tester)
2016-10-26 20:57

Dear BugMaster,
Branch CR25214 is TESTED.
(0059394)
git (administrator)
2016-10-28 21:36

Branch CR25214 has been deleted by kgv.

SHA-1: 64f50db5ba705f3de242dd1ea4c84487b1a1736f

- Related Changesets
occt: master 6b8f3bdc
Timestamp: 2016-10-25 08:54:34
Author: msv
Committer: apn
Details ] Diff ]
0025214: HLR fails to project edges

Avoid getting non-existing array items. Use reference to array items instead of pointers where it is possible.
Create test case. Before the fix this test raised exception in debug mode.
mod - src/HLRBRep/HLRBRep_Data.cxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_InternalAlgo.cxx Diff ] File ]
add - tests/bugs/modalg_6/bug25214 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-09-04 02:35 shoogen New Issue
2014-09-04 02:35 shoogen Assigned To => kgv
2014-09-04 08:18 kgv Assigned To kgv => jgv
2014-09-04 13:46 shoogen Note Added: 0031353
2014-09-11 17:49 abv Target Version => 7.1.0
2015-04-09 19:52 shoogen File Added: hlr-line1.tcl
2016-10-25 09:47 kgv Category OCCT:Visualization => OCCT:Modeling Algorithms
2016-10-25 09:47 kgv Assigned To jgv => msv
2016-10-25 10:14 msv Summary HLR fails to proct edges => HLR fails to project edges
2016-10-25 11:54 git Note Added: 0059060
2016-10-25 11:55 msv Assigned To msv => jgv
2016-10-25 11:55 msv Status new => resolved
2016-10-25 11:59 msv Note Added: 0059062
2016-10-25 15:04 jgv Note Added: 0059091
2016-10-25 15:04 jgv Assigned To jgv => bugmaster
2016-10-25 15:04 jgv Status resolved => reviewed
2016-10-25 15:18 mkv Assigned To bugmaster => mkv
2016-10-26 20:56 mkv Note Added: 0059215
2016-10-26 20:57 mkv Test case number => bugs modalg_6 bug25214
2016-10-26 20:57 mkv Note Added: 0059216
2016-10-26 20:57 mkv Assigned To mkv => bugmaster
2016-10-26 20:57 mkv Status reviewed => tested
2016-10-28 14:35 apn Changeset attached => occt master 6b8f3bdc
2016-10-28 14:35 apn Assigned To bugmaster => apn
2016-10-28 14:35 apn Status tested => verified
2016-10-28 14:35 apn Resolution open => fixed
2016-10-28 21:36 git Note Added: 0059394
2016-12-09 16:30 user533 Status verified => closed
2016-12-09 16:38 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker